%define rpm_macros_dir %{_sysconfdir}/rpm
%define rpm_macros_dir %{_rpmconfigdir}/macros.d

Summary:	Core shared library for LXQt desktop suite
Name:		liblxqt
Version:	1.3.0
Release:	1%{?dist}
License:	LGPLv2
Url:		https://lxqt-project.org/
Source0:    https://github.com/lxqt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:	macros.lxqt
BuildRequires: cmake
BuildRequires: libXScrnSaver-devel, lxqt-build-tools, kf5-kwindowsystem-devel, pkgconfig(glib-2.0)
BuildRequires: pkgconfig(Qt5Core), pkgconfig(Qt5Gui), pkgconfig(Qt5Widgets), pkgconfig(Qt5DBus), cmake(PolkitQt5-1)
BuildRequires: pkgconfig(Qt5Xml), pkgconfig(Qt5X11Extras), pkgconfig(Qt5Xdg), pkgconfig(Qt5Help)
Requires: xdg-utils >= 1.1.0

%description
Core utility library for all LXQT components

%package devel
Summary:  Devel files for liblxqt
Requires: %{name} = %{version}-%{release}
Requires: lxqt-build-tools >= 0.12.0
Requires: cmake >= 3.3

%description devel
LXQt libraries for development.

%package l10n
BuildArch: noarch
Summary:   Translations for liblxqt
Requires:  liblxqt

%description l10n
This package provides translations for the liblxqt package.

%prep
%autosetup -p1

%build 
%cmake -DPULL_TRANSLATIONS=NO
%cmake_build


%install
%cmake_install

install -p -m0644 -D %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.lxqt
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" %{buildroot}%{rpm_macros_dir}/macros.lxqt
touch -r %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.lxqt

%find_lang liblxqt --with-qt


%files
%license COPYING
%doc AUTHORS
%{_bindir}/lxqt-backlight_backend
%{_libdir}/liblxqt.so.*
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy

%files devel
%{_libdir}/liblxqt.so
%{_libdir}/pkgconfig/lxqt.pc
%{_includedir}/lxqt/
%{_datadir}/cmake/lxqt/
%{rpm_macros_dir}/macros.lxqt

%files l10n -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/lxqt/translations/%{name}

%changelog
* Thu Dec 28 2023 Chair <chairou@tencent.com> - 1.3.0-1
- Init
